Skip to main content
GET
/
api
/
logs
/
histogram
/
cost
/
by-provider
Error
A valid request URL is required to generate request examples
{
  "buckets": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "total_cost": 123,
      "by_provider": {}
    }
  ],
  "bucket_size_seconds": 123,
  "providers": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Query Parameters

providers
string

Comma-separated list of providers to filter by

models
string

Comma-separated list of models to filter by

status
string

Comma-separated list of statuses to filter by

objects
string

Comma-separated list of object types to filter by

selected_key_ids
string

Comma-separated list of selected key IDs to filter by

virtual_key_ids
string

Comma-separated list of virtual key IDs to filter by

routing_rule_ids
string

Comma-separated list of routing rule IDs to filter by

routing_engine_used
string

Comma-separated list of routing engines to filter by

start_time
string<date-time>

Start time filter (RFC3339 format)

end_time
string<date-time>

End time filter (RFC3339 format)

min_latency
number

Minimum latency filter

max_latency
number

Maximum latency filter

min_tokens
integer

Minimum tokens filter

max_tokens
integer

Maximum tokens filter

min_cost
number

Minimum cost filter

max_cost
number

Maximum cost filter

missing_cost_only
boolean

Only show logs with missing cost

Search in request/response content

Response

Successful response

Time-bucketed cost histogram with provider breakdown

buckets
object[]
bucket_size_seconds
integer<int64>
providers
string[]